package com.yhy.module.core.convert.config;

import com.yhy.module.core.controller.admin.config.vo.ConfigProjectTreeRespVO;
import com.yhy.module.core.controller.admin.config.vo.ConfigProjectTreeSaveReqVO;
import com.yhy.module.core.dal.dataobject.config.ConfigProjectTreeDO;
import java.util.List;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 项目界面配置树 Convert
 *
 * @author yhy
 */
@Mapper
public interface ConfigProjectTreeConvert {

    ConfigProjectTreeConvert INSTANCE = Mappers.getMapper(ConfigProjectTreeConvert.class);

    ConfigProjectTreeDO convert(ConfigProjectTreeSaveReqVO bean);

    ConfigProjectTreeRespVO convert(ConfigProjectTreeDO bean);

    List<ConfigProjectTreeRespVO> convertList(List<ConfigProjectTreeDO> list);
}
